Subject: Re: Debugging help needed
From: [email-masked] (Scott Warner)

10 Nov 1997 22:34:59 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: <[email-masked]>
Cc: <[email-masked]>

Thanks!  I appreciate your help.  It seems that the problem is a binary
file access problem.

----------
> From: Tage Westlund <[email-masked]>
> To: Scott Warner <[email-masked]>
> Subject: Re: Debugging help needed
> Date: Monday, November 10, 1997 9:36 AM
> 
> Scott Warner wrote:
> >  The code is: 
> >         cout << "\nEnter your theorem : ";
> >         cin.getline(m_str, sizeof(m_str)-1);
> > 
> To Scott!
> 
> I am sitting at the computer to train my rusty C++ fingers. So I 
> coded:
> =========================================
> #include <iostream.h>
> #include <fstream.h>
> 
> main(){
> 	char m_str[120];
> 
> 	cout << "\nEnter your theorem : ";
> 	cin.getline(m_str,sizeof(m_str)-1);
> 	cout << "Repeat: " << m_str << "\n";
> }
> ===========================
> and run:
> bash$ g++ -o test test1.cpp            no error
> bash$ g++ -Wall -o test test1.cpp      no error for "many messages"
> bash$ test.exe
> 
> Enter your theorem : asdfg
> Repeat: asdfg
> bash$
> ===========================
> My system is Win95 and gnu-win32 b18 and a very old Sergey patch.
> My  autoexec.bat  is
> ===========================
> SET GCC_EXEC_PREFIX=C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\
> PATH .;C:\gnuwin32\b18\H-i386-cygwin32\bin;C:\gnuwin32\b18\tcl\bin
> SET TMPDIR=C:\WINDOWS\TEMP
> SET C_INCLUDE_PATH=C:\gnuwin32\b18\H-i386-cygwin32\i386-cygwin32\include
> SET CPLUS_INCLUDE_PATH=C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\ (N)
> 			i386-cygwin32\cygnus-2.7.2-970404\include; (N)
> 					C:\gnuwin32\b18\include\g++
> SET LIBRARY_PATH=C:\gnuwin32\b18\H-i386-cygwin32\bin; (N)
> C:\gnuwin32\b18\H-i386-cygwin32\i386-cygwin32\bin
> SET HOME=C:\usr\home
> SET TCL_LIBRARY=C:/gnuwin32/b18/tcl/lib/tc17.6
> SET GDBTK_LIBRARY=C:/gnuwin32/b18/share/gdbtcl
>    (N) denotes an added new line in the mail for clarity
> ================================
> Best Regards!
> 
> Tage
> 
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".